Bug 1471948 - heat client doesn't populate correctly the "files" parameter
Summary: heat client doesn't populate correctly the "files" parameter
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.10.0
Assignee: Alexander Demicev
QA Contact: Danylo Kholodov
URL:
Whiteboard: openstack
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-17 18:24 UTC by Ryan Spagnola
Modified: 2019-02-07 23:02 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:02:36 UTC
Category: Bug
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github https://github.com/fog fog-openstack issues 313 None None None 2017-09-29 08:16:19 UTC
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:02:47 UTC

Description Ryan Spagnola 2017-07-17 18:24:06 UTC
Description of problem:
Getting an error when referencing external files

Version-Release number of selected component (if applicable):
5.7

How reproducible:
always

Steps to Reproduce:
1. Create an Orchestration template that references external files:

heat_template_version: newton

resources:
  a_file:
    type: https://pastebin.com/raw/hVbif6z9
 # the linked resource references get_file: https://www.google.com/robots.txt


Actual results:
Heat complains about get_file: https://www.google.com/robots.txt not in the files dict
getting the files dict from heat, the file is not there
openstack stack files list mystack
...
NO https://www.google.com/robots.txt around

Expected results:
the stack to be created

Additional info:
https://github.com/ManageIQ/manageiq/issues/15563

Comment 2 Tzu-Mainn Chen 2017-07-18 17:19:59 UTC
Taking a quick look at the related upstream Horizon issue in launchpad - https://bugs.launchpad.net/horizon/+bug/1467781 - the suggested solution there is to call heatclient python functions? I'm not sure we can easily do that, and it seems like the real solution is to have this fixed in heat... ?

Comment 18 Bronagh Sorota 2018-09-14 15:32:39 UTC
Not sure why this is assigned to me, maybe this automatically happened when pblaho left the company. Assigning back to Marek.

Comment 19 Alexander Demicev 2018-09-27 09:16:25 UTC
Hi,
I was able to create a stack from CF using this template - https://pastebin.com/tky6xyjE, it's referencing an external file. I think the feature is already in upstream.

Comment 20 Danylo Kholodov 2018-11-27 11:55:09 UTC
Verified at CFME 5.10.0.24

Comment 21 errata-xmlrpc 2019-02-07 23:02:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.